<template>
    <app-layout title="Dashboard">
        <template #header>Dashboard</template>

        <div class="col-span-6">
            <!-- content goes here -->
        </div>
    </app-layout>
</template>

<script>
import { defineComponent, reactive, ref, computed, watch, onBeforeMount, onMounted, provide, inject } from 'vue'
import AppLayout from '@/Layouts/AppLayout.vue'
import Card from '@/Components/Card.vue'

export default defineComponent({
  emits: [],

  props: {},

  components: {
    AppLayout,
    Card,
  },

  setup(props, { attrs, slots, emit, expose }) {
    let aVariable = reactive({})

    // computed properties
    /*let compVariable = computed(() => {
      //return 'foo'
    })*/

    // watchers
    /*watch(aVariable, (newValue, oldValue) => {
      //
    })*/

    // lifecycle hooks
    onBeforeMount(() => {
      //
    })

    onMounted(() => {
      //
    })

    // methods
    function myMethod() {
      aVariable.value = null
    }

    return {
      aVariable,
      compVariable,
      myMethod,
    }
  },
})
</script>
